Subject: Re: [PATCH net-next v3 2/3] net/macsec: Add MACsec skb extension Rx Data path support

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Jun 2022 09:14:38 -0700

On Tue, 14 Jun 2022 15:55:13 +0200 Paolo Abeni wrote:
> The main reason I suggested to look for the a possible alternative to
> the skb extension is that the GRO stage is becoming bigger (and slower)
> with any of such addition.
> 
> The 'slow_gro' protects the common use-case from any additional
> conditionals and intructions, I still have some concerns due to the
> increased code size.
> 
> This is not a reject, I'm mostly looking for a 2nd opinion.

Shooting from the hip a little bit, but macsec being a tightly bound L2
upper maybe metadata dst is a workable solution for carrying the sci and
offload status between upper and lower? The range of values should be
well known and limited.